import { QuestionControleur } from "./controleurs/questionControleur";
import { QuestionnaireControleur } from "./controleurs/questionnaireControleur";
import { CoursControlleur } from "./controleurs/coursControleur";

// Ajouter les controlleurs ici
export let coursController : CoursControlleur;
export let questionControleur : QuestionControleur;
export let questionnaireControleur : QuestionnaireControleur;

// Ajouter leur fonctions pour initialiser les controllers ici
export const initControllers = new Promise<void>((resolve, reject) => {
  coursController = new CoursControlleur();
  questionControleur = new QuestionControleur();
  questionnaireControleur = new QuestionnaireControleur();
  
  coursController.init();
  resolve();
})
